<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
$pdf->open();//abre o fpdf
//$pdf->AddPage();//adicionando a primera pafina
$pdf->SetFont('Arial','',12);
$pdf->SetDrawColor(10,10,10);
$fonte="Arial";
$nomeOperador=5;


for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);	
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$objetoCalculoGerminacaoFichaPadrao = new calculoGerminacaoFichaPadrao(); //calcula todos valores finais

$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
				 
$userTTAP = new amostras();
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais

$userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
$userTTAP->selecionaCampos($userTTAP);
$disparaCabecalho=1;
//echo("sssssssssql= $userTTAP->extras_select <br>");				 
while ($resTTAP = $userTTAP->retornaDados()):
if($disparaCabecalho==1):
$disparaCabecalho=0;

$pdf->AddPage();//adicionando a primera pafina 
$disparaCabecalho=0;	
$maximoLAdobe=210;
$maximoHAdobe=297;
$margemEsquerda=15;
$margemDireita=$maximoLAdobe-6;
$larguraUtil=$maximoLAdobe-32;
$cinza=220;
$pdf->SetFillColor($cinza,$cinza,$cinza);
$grosso=0.7;
$medio=0.4;
$fino=0.3;
$extraFino=0.2;
//AQUI COMECA O NOVO CONCEITO DE ALTURA DE LINHAS
//VOU CLRIAR ESPACAADOR VERTICAL MOVEL
$espacador=4.5;
$cota1=5;
$largo1=46;
$largo2=142;
$largo3=80;
$posicao3=$margemEsquerda+$largo1+$largo2;
$terco=$largo3/3;

//COMECA O CABEÇA~LHO
$pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',$margemEsquerda+5,$cota1+2,24,12,'JPG');//vai LOGOMARCA
$pdf->Rect($margemEsquerda,$cota1,$largo1,4*$espacador);
$pdf->SetFont('Arial','',10);
$pdf->setXY($margemEsquerda+$largo1,$cota1); 
$pdf->Cell($largo2,2*$espacador,utf8_decode("FORMULÁRIO"),1,1,'C');

$pdf->setXY($margemEsquerda+$largo1,$cota1+2*$espacador); 
$pdf->SetFont('Arial','B',10);
$pdf->Cell($largo2,2*$espacador,utf8_decode("Ficha de análise de sementes"),1,1,'C');
//direita
$pdf->Rect($posicao3,$cota1,$largo3,2*$espacador);
$pdf->SetFont('Arial','',8);
$pdf->setXY($margemEsquerda+$largo1+$largo2,$cota1); 
$pdf->Cell($largo3,$espacador,utf8_decode("Identificação"),0,1,'C');
$pdf->SetFont('Arial','B',10);
$pdf->setXY($margemEsquerda+$largo1+$largo2,$cota1+$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("FOR 7.8.01"),0,1,'C');
$pdf->Rect($posicao3,$cota1+2*$espacador,$terco,2*$espacador);
$pdf->Rect($posicao3+$terco,$cota1+2*$espacador,$terco,2*$espacador);
$pdf->Rect($posicao3+$terco+$terco,$cota1+2*$espacador,$terco,2*$espacador);
$pdf->SetFont('Arial','',10);
$pdf->setXY($posicao3,$cota1+2*$espacador); 
$pdf->Cell($largo3/3,$espacador,utf8_decode("Data revisão"),0,0,'C');
$pdf->Cell($largo3/3,$espacador,utf8_decode("Revisão"),0,0,'C');
$pdf->Cell($largo3/3,$espacador,utf8_decode("Página"),0,0,'C');
$pdf->setXY($posicao3,$cota1+3*$espacador); 
$pdf->SetFont('Arial','B',10);
$pdf->Cell($largo3/3,$espacador,utf8_decode("10/07/2020"),0,0,'C');
$pdf->Cell($largo3/3,$espacador,utf8_decode("00"),0,0,'C');
$pdf->Cell($largo3/3,$espacador,utf8_decode("1/1"),0,0,'C');


//COMECA IDENTIFICAO DA ESPECIE E DA AMOSTRA
//$largo1=25;
$largo2=65;//ESPECIE
$largo3=64;//CULTIVAR
$largo4=33;//SAFRA
$largo5=60;//LOTE
$cota1=$cota1+4*$espacador;
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->SetFont('Arial','B',10);
$pdf->Cell($largo1,$espacador,utf8_decode("Nº da amostra:".$vetorRaioX[1]),1,0,'L');
$pdf->Cell($largo2,$espacador,utf8_decode("Espécie:".$vetorRaioX[43]),1,0,'L');
$pdf->Cell($largo3,$espacador,utf8_decode("Cultivar:".$vetorRaioX[42]),1,0,'L');
$pdf->Cell($largo4,$espacador,utf8_decode("Safra:".$vetorRaioX[48]),1,0,'L');
$pdf->Cell($largo5,$espacador,utf8_decode("Lote:".$vetorRaioX[9]),1,0,'L');
//SEGUNDA LINHA
$largo1=85;//CATEGORIA
$largo2=50;//PENEIRA
$largo3=133;//TIPO ANALISE
$cota1=$cota1+$espacador;
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->SetFont('Arial','B',8);

//categoria
$t1="";
$t2="";
$t3="";
$t4="";
$t5="";
$categoria=trim($vetorRaioX[53]);
if($categoria=="BASICA")$t1="x";
if($categoria=="C1")$t2="x";
if($categoria=="C2")$t3="x";
if($categoria=="S1")$t4="x";
if($categoria=="S2")$t5="x";
$pdf->Cell($largo1,$espacador,utf8_decode("Categoria:  Bas(  ".$t1.")  C1(".$t2."  )  C2(".$t3."  )  S1(".$t4."  )  S2(".$t5."  )"),1,0,'L');
$pdf->Cell($largo2,$espacador,utf8_decode("Peneira: ". $vetorRaioX[56]),1,0,'L');
//funcao
$t1="";
$t2="";
$funcao=trim($vetorRaioX[259]);
if($funcao=="PRODUÇÃO")$t1="x";
if($funcao=="PREVIA")$t2="x";
$pdf->Cell($largo3,$espacador,utf8_decode("Tipo de análise:(".$t1."  )Definitiva  (".$t2."  )Prévia  (  )Pesquisas  (  )Confronto  (  )Treinamento"),1,0,'L');




//comeca a parte de pureza (vou separar pureza da germinacao))
$largo1=115;
$largo2=153;
$largo3=33;
$largo4=13;
$largo5=12;
$largo6=57;
$cota1=$cota1+$espacador;
$guardaCota=$cota1;
$pdf->SetLineWidth($fino);
$pdf->Rect($margemEsquerda,$cota1,$largo1,153);
$pdf->Rect($margemEsquerda+$largo1,$cota1,$largo2,153);
//linhas
$pdf->SetLineWidth($fino);
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->SetFont('Arial','B',10);
$pdf->Cell($largo1,$espacador,utf8_decode("ANÁLISE DE PUREZA "),1,0,'C');//lab nome
$pdf->SetFont('Arial','B',8);
//linhas quebradas
$pdf->setXY($margemEsquerda,$cota1+$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("COMPONENTES"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode("g"),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode("%"),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode("NATUREZA DO MATERIAL INERTE"),1,0,'C');//lab nome
//linha 2
$pdf->setXY($margemEsquerda,$cota1+2*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("Amostra Trabalho(AT)"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode("100"),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode("( )Cotilédones ( )Terra  ( )Pedras"),1,0,'L');//

//nova linha
$pdf->setXY($margemEsquerda,$cota1+3*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("1-Semente Puras(SP)"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode("( )Stes quebradas ( )Fragmento de plantas"),1,0,'L');//lab nome

//nova linha
$pdf->setXY($margemEsquerda,$cota1+4*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("2-Material Inerte"),1,0,'C');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode("( )Sementes Partidas"),1,0,'L');//lab nome


//nova linha
$pdf->setXY($margemEsquerda,$cota1+5*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("3-Outras Sementes(OS)"),1,0,'C');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode("( )Insetos ( )Tegumentos"),1,0,'L');//lab nome

//nova linha
$pdf->setXY($margemEsquerda,$cota1+6*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("Impureza(MI+OS):"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode("( )Outros"),1,0,'L');//lab nome
//nova linha
$pdf->setXY($margemEsquerda,$cota1+7*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("Peso Final(PF)"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode(""),1,0,'C');//lab nome
//nova linha
$pdf->setXY($margemEsquerda,$cota1+8*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("Perda(AT-PF)"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode(""),1,0,'C');//lab nome

//nova linha
$pdf->setXY($margemEsquerda,$cota1+9*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("3% do Peso inicial"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode(" "),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode(""),1,0,'C');//lab nome
//sai do setor de pesos
//observacao
$cota1+=$espacador*10;
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->Cell($largo3,$espacador,utf8_decode("Observação:"),0,0,'L');//lab nome
$pdf->Rect($margemEsquerda,$cota1,$largo1,$espacador*2);
$cota1+=$espacador*2;
$pdf->setXY($margemEsquerda,$cota1+$espacador*0); 
$pdf->Cell($largo1,$espacador,utf8_decode("VOC e DOSN na Pureza"),1,0,'C');//lab nome
$pdf->setXY($margemEsquerda,$cota1+$espacador*11); 
$pdf->Cell($largo1,$espacador,utf8_decode("DOSN(Pureza + Complemento)  AT*______g"),1,0,'C');//lab nome
$pdf->setXY($margemEsquerda,$cota1+$espacador*19); 
$pdf->Cell($largo1,$espacador,utf8_decode("Determinações Adicionais"),1,0,'C');//lab nome

//26 linhas de conteudo
$pdf->SetLineWidth($fino);
$matrizConteudo[1]="4-Outras cultivares";
$matrizConteudo[4]="10-O. Espécies Cultivadas";
$matrizConteudo[7]="11-Sementes Silvestre:";
$matrizConteudo[10]="11-Data  __/__/_____        Analista:";
$matrizConteudo[12]="12-Nocivas Toleradas";
$matrizConteudo[15]="13-Nocivas Proibidas:";
$matrizConteudo[18]="11-Data  __/__/_____        Analista:";
$matrizConteudo[20]="14-G. Infest.:_________e________=_______%";
//$matrizConteudo[25]="PMS:_____g          Analista:__________";
$matrizConteudo[21]="Data___/___/______                    Analista:";
for($i=1;$i<=21;$i++):
	$pdf->setXY($margemEsquerda,$cota1+$i*$espacador); 
	$pdf->Cell($largo1,$espacador,utf8_decode($matrizConteudo[$i]),1,0,'L');//e
endfor;
//observacoes
$cota1+=$espacador*22;
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->Cell($largo1,$espacador,utf8_decode("Observações:"),0,0,'L');//lab nome
$pdf->Rect($margemEsquerda,$cota1,$largo1,$espacador*1.5);
//rodape
$cota1+=$espacador*2;
$larguraRoda=90;
$altura=2;
$pdf->SetFont('Arial','',6);
//primeira linha
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->Cell($larguraRoda,$altura,utf8_decode("Arquivo/Armazenamento"),0,0,'C');//lab nome
$pdf->Cell($larguraRoda,$altura,utf8_decode("Indexação/Coleta/Acesso"),0,0,'C');//lab nome
$pdf->Cell($larguraRoda,$altura,utf8_decode("Tempo de Retenção/Disposição"),0,0,'C');//lab nome
//segunda linha
$pdf->setXY($margemEsquerda,$cota1+$altura); 
$pdf->Cell($larguraRoda,$altura,utf8_decode("Arquivo sistema de gestão"),0,0,'C');//lab nome
$pdf->Cell($larguraRoda,$altura,utf8_decode("Nº Amostra/manual"),0,0,'C');//lab nome
$pdf->Cell($larguraRoda,$altura,utf8_decode("03 anos/eliminar"),0,0,'C');//lab nome
//terceiraa linha
$pdf->setXY($margemEsquerda,$cota1+$altura*2); 
$pdf->Cell($larguraRoda,$altura,utf8_decode("setorial"),0,0,'C');//lab nome
$pdf->Cell($larguraRoda,$altura,utf8_decode("coleboradores e demais"),0,0,'C');//lab nome
$pdf->Cell($larguraRoda,$altura,utf8_decode(""),0,0,'C');//lab nome



/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////

$matrizGerminacao[2][1]="100";
$matrizGerminacao[2][2]="100";
$matrizGerminacao[2][3]="100";
$matrizGerminacao[2][4]="100";
$matrizGerminacao[2][5]="100";
$matrizGerminacao[2][6]="100";
$matrizGerminacao[2][7]="100";
$matrizGerminacao[2][8]="100";
$cota1=$guardaCota;//pega cota da posicao t de iniciro de pureza
$largo1=115;
$largo7=17;
$largo8=17;
$largo9=11;
$largo10=6;
$largo11=68;
$largo12=16;
$largo13=52;

//imprime teste de germiancao
$margemGerminacao=$margemEsquerda+$largo1;
$pdf->SetFont('Arial','B',10);
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largo2,$espacador,utf8_decode("TESTE DE GERMINAÇÃO"),1,0,'C');
$pdf->SetFont('Arial','',8);

//imprime incio  
$cota1+=$espacador;
$margemGermAvanco=$margemGerminacao+$largo8;
$larguraFracoes=68;
$pdf->setXY($margemGermAvanco,$cota1); 
$pdf->Cell($larguraFracoes,$espacador,utf8_decode("Início em: ___/___/___"),1,0,'C');
$pdf->Cell($larguraFracoes,$espacador,utf8_decode("Início em: ___/___/___"),1,0,'C');

//imprime palacra n° sentes
$pdf->setXY($margemGerminacao,$cota1+$espacador); 
$pdf->Cell($largo8,$espacador,utf8_decode("N° Sementes"),1,0,'L');

for($i=2;$i<=21;$i++):
  //if($i!=6 && $i!=7 && $i!=11 && $i!=12 && $i!=16 && $i!=17)://era assim
  if($i!=7 && $i!=8 && $i!=12 && $i!=13 && $i!=17 && $i!=18)://era assim
	$pdf->setXY($margemGerminacao+$largo8,$cota1+($i-1)*$espacador); 
    for($j=1;$j<=8;$j++):
	  $pdf->Cell($largo7,$espacador,utf8_decode($matrizGerminacao[$i][$j]),1,0,'C');
	endfor;  
  endif; 	
endfor;

//faz uma matrizinha so para a colunad da legenda de totais
$matrizColunaTotais[1]="-/-";
$matrizColunaTotais[2]="-/-";
$matrizColunaTotais[3]="-/-";
$matrizColunaTotais[4]="Total";
$matrizColunaTotais[5]="";
$matrizColunaTotais[6]="%";
$matrizColunaTotais[7]="-/-";
$matrizColunaTotais[8]="-/-";
$matrizColunaTotais[9]="Total";
$matrizColunaTotais[10]="";
$matrizColunaTotais[11]="%";
$matrizColunaTotais[12]="-/-";
$matrizColunaTotais[13]="-/-";
$matrizColunaTotais[14]="Total";
$matrizColunaTotais[15]="";
$matrizColunaTotais[16]="%";
$matrizColunaTotais[17]="-/-";
$matrizColunaTotais[18]="-/-";
$matrizColunaTotais[19]="Total";
$matrizColunaTotais[20]="";
$matrizColunaTotais[21]="%";
$cota1+=$espacador;

for($i=1;$i<=21;$i++):
  $pdf->setXY($margemGerminacao+$largo10,$cota1+($i)*$espacador); 
  if($i==5 || $i==6 || $i==10|| $i==11 || $i==15 || $i==16 || $i==20 || $i==21 ):   
     $pdf->Cell($largo9,$espacador,utf8_decode($matrizColunaTotais[$i]),0,0,'C');//sem borda
  else: 
     $pdf->Cell($largo9,$espacador,utf8_decode($matrizColunaTotais[$i]),1,0,'C');//com borda
  endif;
endfor;
//escritas verticasis
$pdf->Image('ImagensClientes/escritaVertical1.jpg',$margemGerminacao+1,$guardaCota+3.2*$espacador,5,22,'JPG');//normais
$pdf->Image('ImagensClientes/escritaVertical2.jpg',$margemGerminacao+1,$guardaCota+9.2*$espacador,5,22,'JPG');//anormais
$pdf->Image('ImagensClientes/escritaVertical3.jpg',$margemGerminacao+1,$guardaCota+14.1*$espacador,5,21,'JPG');//duras
$pdf->Image('ImagensClientes/escritaVertical4.jpg',$margemGerminacao+1,$guardaCota+19.2*$espacador,5,22,'JPG');//mortas era 16
//$pdf->Image('ImagensClientes/escritaVertical5.jpg',$margemGerminacao+1,$guardaCota+23.2*$espacador,$largo8,45,'JPG');//vai LOGOMARCA

//retangulos em volta ds imagens
$pdf->Rect($margemGerminacao,$guardaCota+3*$espacador,$largo10,6*$espacador);//circinscreve normais
$pdf->Rect($margemGerminacao,$guardaCota+9*$espacador,$largo10,5*$espacador);//circinscreve anormais
$pdf->Rect($margemGerminacao,$guardaCota+14*$espacador,$largo10,5*$espacador);//circinscreve dormente
$pdf->Rect($margemGerminacao,$guardaCota+19*$espacador,$largo10,5*$espacador);//circinscreve mortas

//observacoes;
$cota1+=$espacador*22;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largo2,$espacador,utf8_decode("Observações:"),0,0,'L');//lab nome
$pdf->Rect($margemGerminacao,$cota1,$largo2,$espacador*1.5);

//DETERMINACAOES ADICIONAIS
$cota1+=$espacador*1.5;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largo2,$espacador,utf8_decode("Conclusão/Outras informações"),1,0,'C');//lab nome
//teste e reteste
$largururaConjunto1=67;
$largururaConjunto2=$largo2-$largururaConjunto1;
//linha 1
$cota1+=$espacador;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largururaConjunto1,$espacador,utf8_decode("Teste"),1,0,'C');//lab nome
$pdf->Cell($largururaConjunto2,$espacador,utf8_decode("Re-Teste"),1,0,'C');//lab nome
//linha 2
$cota1+=$espacador;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largururaConjunto1,$espacador,utf8_decode("Contagem final:       Dias:"),1,0,'L');//lab nome
$pdf->Cell($largururaConjunto2,$espacador,utf8_decode("Contagem final:       Dias:"),1,0,'L');//lab nome
//linha 3
$cota1+=$espacador;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largururaConjunto1,$espacador,utf8_decode("Substrato( )RP  ( )EA"),1,0,'L');//lab nome
$pdf->Cell($largururaConjunto2,$espacador,utf8_decode("Substrato( )RP  ( )EA"),1,0,'L');//lab nome
//linha 4
$cota1+=$espacador;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largururaConjunto1,$espacador,utf8_decode("Equipamento/Local:"),1,0,'L');//lab nome
$pdf->Cell($largururaConjunto2,$espacador,utf8_decode("Equipamento/Local:"),1,0,'L');//lab nome
//linha 5
$cota1+=$espacador;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largururaConjunto1,$espacador,utf8_decode("Temperatura:____°C"),1,0,'L');//lab nome
$pdf->Cell($largururaConjunto2,$espacador,utf8_decode("Temperatura:____°C"),1,0,'L');//lab nome
//linha 6
$cota1+=$espacador;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largururaConjunto1,$espacador,utf8_decode("Tratamento:"),1,0,'L');//lab nome
$pdf->Cell($largururaConjunto2,$espacador,utf8_decode("Tratamento:"),1,0,'L');//lab nome
//linha 7
$cota1+=$espacador;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largururaConjunto1,$espacador*1.5,utf8_decode("Analista:"),1,0,'L');//lab nome
$pdf->Cell($largururaConjunto2,$espacador*1.5,utf8_decode("Analista:"),1,0,'L');//lab nome
//linha 8
$cota1+=$espacador*1.5;
$pdf->setXY($margemGerminacao,$cota1); 
$pdf->Cell($largururaConjunto1,$espacador*1.5,utf8_decode("BAS Nº____/____"),1,0,'L');//lab nome
$pdf->Cell($largururaConjunto2,$espacador*1.5,utf8_decode("Nº informativo de resultado____/____"),1,0,'L');//lab nome


endif;
endwhile; //este while abre a amostras atraves do campo amostraLong
endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
